# Error Codes

Lean.x uses standard HTTP response codes to communicate the success or failure of an API request. A response code of 200 indicates that the request was successful.

In the event of an error, the body of the response will include an error code to help you troubleshoot and debug any issues. A comprehensive list of error codes and their meanings is provided in the table below. By using these codes, we aim to ensure that the process of making HTTP requests and receiving responses is uninterrupted and as smooth as possible for our users

### List Of Error Codes

<table><thead><tr><th width="174">Error Codes</th><th>Description</th></tr></thead><tbody><tr><td>1104</td><td>Transaction Charges Problems Occur</td></tr><tr><td>1106</td><td>Audit Writing Problems Occur</td></tr><tr><td>2111</td><td>Record Not Found</td></tr><tr><td>2011</td><td>Pending Approval</td></tr><tr><td>2012</td><td>Pending</td></tr><tr><td>3333</td><td>The Record Cannot Be Deleted</td></tr><tr><td>3614</td><td>The Invoice Number Is Not Available</td></tr><tr><td>4000</td><td>General Error</td></tr><tr><td>4001</td><td>Missing X-Timestamp header</td></tr><tr><td>4002</td><td>Missing X-Signature header</td></tr><tr><td>4004</td><td>Missing X-Nonce header</td></tr><tr><td>4006</td><td>Missing Secret Key</td></tr><tr><td>4008</td><td>Invalid HMAC signature</td></tr><tr><td>4013</td><td>Request Timestamp Is Expired</td></tr><tr><td>4015</td><td>Invalid Timestamp Format</td></tr><tr><td>4125</td><td>Bill Collection Exist</td></tr><tr><td>4637</td><td>Not A Valid Product ID</td></tr><tr><td>4624</td><td>Not A Valid Account Number</td></tr><tr><td>4626</td><td>Bill Invoices Already Exist</td></tr><tr><td>4791</td><td>Transaction Block, Please Contact Admin</td></tr><tr><td>4794</td><td>Permission Denied To Create Payment</td></tr><tr><td>5223</td><td>Bank Account Holder Verification </td></tr><tr><td>5788</td><td>Quota Limit Exceeded</td></tr><tr><td>5688</td><td>Invalid Token</td></tr><tr><td>5699</td><td>Invalid UUID</td></tr><tr><td>5993</td><td>Insufficient Pool Balance</td></tr><tr><td>6112</td><td>Amount Cannot Be Null</td></tr><tr><td>6482</td><td>Recipient Name Is Required</td></tr><tr><td>6666</td><td>Invalid JWT Token</td></tr><tr><td>7611</td><td>Name Mismatch For Payout Receipient</td></tr><tr><td>7651</td><td>Insufficient Product</td></tr><tr><td>7777</td><td>JWT Token Expired</td></tr><tr><td>8411</td><td>Collection UUID Not Exist</td></tr><tr><td>9100</td><td>Service Is Not Available Right Now</td></tr><tr><td>10018</td><td>Payment Service Not Active</td></tr><tr><td>10019</td><td>Account Number Not Valid</td></tr><tr><td>10020</td><td>Insufficient Fund Amount To Transfer</td></tr><tr><td>10039</td><td>Transaction Invoice Not Valid</td></tr><tr><td>10041</td><td>Payment Service ID Not Active</td></tr><tr><td>10064</td><td>Payout Failed</td></tr><tr><td>10149</td><td>Duplicate Payout transaction</td></tr><tr><td>10150</td><td>Accepted For Processing</td></tr><tr><td>10201</td><td>Unauthorized Due To Permission</td></tr><tr><td>10289</td><td>No List In The Record</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.leanx.io/api-docs/error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
